Summary: sendmail mail transport agent
Name: sendmail
Version: 8.11.0
Release: 1
Group: Daemons
Copyright: BSD
Url: http://www.sendmail.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: sendmail.%{version}.tar.gz
Source1: sendmail.mc
Source2: site.config.m4
Source3: aliases
Source4: access
Source5: sendmail.init
Provides: smtpdaemon
Requires: procmail
BuildRoot: /var/tmp/%{name}-root

%description
Sendmail is a Mail Transport Agent, which is the program
that moves mail from one machine to another.  Sendmail implements a
general internetwork mail routing facility, featuring aliasing and
forwarding, automatic routing to network gateways, and flexible
configuration.


%prep
%setup -q


%build
# site.config.m4 customizes directory layout and enables "make install" as
# non-root
sed 	-e "s|RPM_OPT_FLAGS|$RPM_OPT_FLAGS|" \
	-e "s|RPM_BUILD_USER|`id -un`|" \
	-e "s|RPM_BUILD_GROUP|`id -gn`|" \
	%{SOURCE2} > devtools/Site/site.config.m4

./Build

# Generate sendmail.cf from sendmail.mc
(cd cf/cf; cp -p %{SOURCE1} sendmail.mc; ./Build sendmail.cf)


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,lib,man/man{1,5,8}}
mkdir -p $RPM_BUILD_ROOT/{etc/mail,etc/rc.d/init.d}

./Build install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/*

# By default HostStatusDirectory is undefined (see cf/README), so 
# /var/spool/mqueue/.hoststat and the two files below are all useless.
rm -f $RPM_BUILD_ROOT/usr/bin/{hoststat,purgestat}

# Way too many applications have this path hard-coded
ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail

install -m644 cf/cf/sendmail.cf $RPM_BUILD_ROOT/etc/mail/

install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/mail
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/mail
touch $RPM_BUILD_ROOT/etc/mail/aliases.db
touch $RPM_BUILD_ROOT/etc/mail/access.db

install -m755 %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/sendmail

install -d -m700 $RPM_BUILD_ROOT/var/spool/mqueue

gzip -9f doc/*/*.ps


%post
/sbin/chkconfig --add sendmail
/usr/bin/newaliases > /dev/null
/usr/sbin/makemap hash /etc/mail/access.db < /etc/mail/access
touch /etc/mail/statistics
chmod 644 /etc/mail/statistics


%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del sendmail
fi


%files
%defattr(-,root,root)
%doc FAQ INSTALL KNOWNBUGS LICENSE PGPKEYS README RELEASE_NOTES
%doc doc/*/*.ps.gz
%dir /etc/mail
/etc/mail/helpfile
%config /etc/mail/sendmail.cf
%config /etc/mail/aliases
%config /etc/mail/access
%ghost  /etc/mail/aliases.db
%ghost  /etc/mail/access.db
%ghost  /etc/mail/statistics
%config /etc/rc.d/init.d/sendmail
%dir /var/spool/mqueue
/usr/bin/*
/usr/sbin/*
/usr/lib/*
/usr/man/man*/*



%clean
rm -rf $RPM_BUILD_ROOT

